//
//  ViewController.swift
//  PalChecker
//
//  Created by David Reed on 2/15/19.
//  Copyright © 2019 David Reed. All rights reserved.
//

import UIKit

class ViewController: UIViewController {
    @IBOutlet weak var wordField: UITextField!
    @IBOutlet weak var outputLabel: UILabel!
    
    @IBAction func checkButton(_ sender: UIButton) {
        if isPalindrome(wordField.text!) {
            outputLabel.text = "That IS a palindrome."
        }
        else {
            outputLabel.text = "That IS NOT a palindrome."
        }
    }
    
    func isPalindrome(_ text: String) -> Bool {
        let clean = text.uppercased().filter{("A"..."Z").contains($0)}
        return clean == String(clean.reversed());
    }
}

